<?	session_start();
	if(!isset($_SESSION['id_admin'])){
		header("../acceso.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');

	$Texto = $_POST["editor1"];
	$Id = $_GET["Id"];
	$titulo = $_POST['titulo'];
	$url = $_POST['url'];
		
	
		if ($Id != ''){
		Conectar();	
		$sql = "Update seccion Set ";
		$sql = $sql .  "Texto = '$Texto', Titulo='$titulo'";			
		$sql = $sql . " where Id = $Id";
		mysql_query($sql);
		Desconectar();
		header("location:../redirige.php?Id=$Id");
		exit;
		}		
		else{	
		Conectar();	
		$sql = "INSERT INTO seccion (`Id`, `Titulo`, `Texto`, `url`) VALUES (NULL, '$titulo', '$Texto', '$url')";	
		mysql_query($sql);		
		$Id=mysql_insert_id();
		$nombre_seccion=$url;
		if (!$archivo=fopen("../$nombre_seccion","x+")) {
		
		$sql = "Delete from seccion "; 
		$sql.= "WHERE Id ='$Id'";
		mysql_query($sql);			
		?>
		
		<html><head>
		<script>
		if (confirm('El archivo ya existe, no se ha creado la seccion'))document.location.href='../edicion/editaseccion.php';
		
		</script>
		</head></html>
		<?
		}
			fwrite($archivo, '<? $Id=');
			fwrite ($archivo, "$Id; include_once('./seccion.php'); ?>");	
			fclose($archivo);
		Desconectar();
		header("location:../redirige.php?Id=$Id");
		exit;
		}
	}
?>